### Method

# Ggit Ref get_target

#### Declaration [src]

    GgitOId*
    ggit_ref_get_target (
      GgitRef* ref
    )

#### Description [src]

Get the OID pointed to by a direct reference. Only available if the reference is direct (i.e. an object id reference, not a symbolic one).

#### Return value

Type: `GgitOId`

A new oid if available, `NULL` otherwise.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.